This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen
Bug 282 - Compilation error of test_qr test with GCC 4.6 on Armel, 2.0.16
Summary: Compilation error of test_qr test with GCC 4.6 on Armel, 2.0.16
Status: RESOLVED WONTFIX
Alias: None
Product: Eigen
Classification: Unclassified
Component: QR (show other bugs)
Version: 2.x
Hardware: ARM - general Linux
: --- Unknown
Assignee: Nobody
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-30 20:01 UTC by gladk
Modified: 2019-12-04 10:49 UTC (History)
1 user (show)



Attachments

Description gladk 2011-05-30 20:01:41 UTC
Compilationi fails with the following message:

[ 61%] Building CXX object test/CMakeFiles/test_qr.dir/qr.cpp.o
cd /build/buildd-eigen2_2.0.16-1-armel-3pzpWB/eigen2-2.0.16/debian/build/test && /usr/bin/c++   -DQT_GUI_LIB -DQT_CORE_LIB -g -O2  -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -Wformat-security -fno-exceptions -fno-check-new -fno-common -fstrict-aliasing -Wextra -pedantic -g2 -I/build/buildd-eigen2_2.0.16-1-armel-3pzpWB/eigen2-2.0.16/debian/build/test -I/build/buildd-eigen2_2.0.16-1-armel-3pzpWB/eigen2-2.0.16/test -I/build/buildd-eigen2_2.0.16-1-armel-3pzpWB/eigen2-2.0.16 -I/build/buildd-eigen2_2.0.16-1-armel-3pzpWB/eigen2-2.0.16/debian/build -I/usr/include/qt4 -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtCore   -fexceptions -DEIGEN_TEST_FUNC=qr -o CMakeFiles/test_qr.dir/qr.cpp.o -c /build/buildd-eigen2_2.0.16-1-armel-3pzpWB/eigen2-2.0.16/test/qr.cpp
/build/buildd-eigen2_2.0.16-1-armel-3pzpWB/eigen2-2.0.16/test/qr.cpp: In function 'void test_qr()':
/build/buildd-eigen2_2.0.16-1-armel-3pzpWB/eigen2-2.0.16/test/qr.cpp:74:5: warning: 'bool Eigen::QR<MatrixType>::isFullRank() const [with MatrixType = Eigen::Matrix<double, 3, 3>]' is deprecated (declared at /build/buildd-eigen2_2.0.16-1-armel-3pzpWB/eigen2-2.0.16/Eigen/src/QR/QR.h:74) [-Wdeprecated-declarations]
/build/buildd-eigen2_2.0.16-1-armel-3pzpWB/eigen2-2.0.16/test/qr.cpp:76:5: warning: 'bool Eigen::QR<MatrixType>::isFullRank() const [with MatrixType = Eigen::Matrix<double, 3, 3>]' is deprecated (declared at /build/buildd-eigen2_2.0.16-1-armel-3pzpWB/eigen2-2.0.16/Eigen/src/QR/QR.h:74) [-Wdeprecated-declarations]
/tmp/ccaFnY9a.s: Assembler messages:
/tmp/ccaFnY9a.s:378500: Error: bad instruction `byte 0x7b97f'
make[4]: *** [test/CMakeFiles/test_qr.dir/qr.cpp.o] Error 1
make[4]: Leaving directory `/build/buildd-eigen2_2.0.16-1-armel-3pzpWB/eigen2-2.0.16/debian/build'
make[3]: *** [test/CMakeFiles/test_qr.dir/all] Error 2
make[3]: Leaving directory `/build/buildd-eigen2_2.0.16-1-armel-3pzpWB/eigen2-2.0.16/debian/build'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/build/buildd-eigen2_2.0.16-1-armel-3pzpWB/eigen2-2.0.16/debian/build'
dh_auto_build: make -j1 returned exit code 2

https://buildd.debian.org/status/fetch.php?pkg=eigen2&arch=armel&ver=2.0.16-1&stamp=1306723418
Comment 1 Christoph Hertzberg 2015-03-08 06:55:29 UTC
Bug is outdated, we don't support Eigen 2.x anymore.
Comment 2 Nobody 2019-12-04 10:49:10 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/282.

Note You need to log in before you can comment on or make changes to this bug.